package com.javaxing.account.controller;

import com.javaxing.account.service.AccountTblService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.math.BigDecimal;

@RestController
@RequestMapping("/account")
public class accountController {
    @Autowired
    private AccountTblService accountTblService;
    /**
     * 扣减账户余额
     * @param userId
     * @param money
     */
    @GetMapping("/deduct")
    public void deduct (@RequestParam("userId") String userId,@RequestParam("money") BigDecimal money){
        accountTblService.deduct(userId,money);
    }
}
