package com.javaxing.account.mapper;
import org.apache.ibatis.annotations.Param;

import com.javaxing.account.entity.AccountTbl;
import org.apache.ibatis.annotations.Mapper;

import java.math.BigDecimal;

@Mapper
public interface AccountTblMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(AccountTbl record);

    int insertSelective(AccountTbl record);

    AccountTbl selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(AccountTbl record);

    int updateByPrimaryKey(AccountTbl record);

    AccountTbl findFirstByUserId(@Param("userId")String userId);

    int deductBalance(@Param("userId") String userId, @Param("money") BigDecimal money);

    int addBalance(@Param("userId") String userId, @Param("money") BigDecimal money);
}