package com.javaxing.order.controller;

import com.javaxing.order.service.BussinessService;
import com.javaxing.order.vo.OrderVO;
import com.javaxing.order.entity.OrderTbl;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping("/order")
public class OrderController {

    @Resource
    private BussinessService bussinessService;


    /**
     * 创建订单
     * @param vo
     */
    @PostMapping("/addOrder")
    public OrderTbl addOrder(@RequestBody OrderVO vo){
        return bussinessService.addOrder(vo);
    }
}
