package com.javaxing.order.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.math.BigDecimal;

@FeignClient(name = "account",path = "/account")
public interface AccountFeignService {

    /**
     * 扣减账户余额
     * @param userId
     * @param money
     */
    @GetMapping("/deduct")
    public void deduct (@RequestParam("userId") String userId, @RequestParam("money") BigDecimal money);
}
