package com.javaxing.order.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = "stock",path = "/stock")
public interface StockFeignService {

    /**
     * 扣减库存
     * @param commodityCode
     * @param count
     */
    @GetMapping("/deduct")
    public void deduct (@RequestParam("commodityCode") String commodityCode,@RequestParam("count") Integer count);










}
