package com.javaxing.stock.controller;

import com.javaxing.stock.service.StockTblService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/stock")
public class StockController {

    @Autowired
    private StockTblService stockTblService;


    /**
     * 扣减库存
     * @param commodityCode
     * @param count
     */
    @GetMapping("/deduct")
    public void deduct (@RequestParam("commodityCode") String commodityCode,@RequestParam("count") Integer count){
        stockTblService.deduct(commodityCode,count);
    }
}
