package com.javaxing.stock.mapper;
import org.apache.ibatis.annotations.Param;

import com.javaxing.stock.entity.StockTbl;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface StockTblMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(StockTbl record);

    int insertSelective(StockTbl record);

    StockTbl selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(StockTbl record);

    int updateByPrimaryKey(StockTbl record);

    StockTbl findFirstByCommodityCode(@Param("commodityCode")String commodityCode);

    int deductCount(@Param("commodityCode") String commodityCode, @Param("count") Integer count);

    int addCount(@Param("commodityCode") String commodityCode, @Param("count") Integer count);


}